Bug 1102329 (CVE-2014-3469) - CVE-2014-3469 libtasn1: asn1_read_value_type() NULL pointer dereference
Summary: CVE-2014-3469 libtasn1: asn1_read_value_type() NULL pointer dereference
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3469
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1102336 1102337 1102338 1102339 1102355 1102356 1103087 1103088 1103089
Blocks: 1101736
TreeView+ depends on / blocked
 
Reported: 2014-05-28 18:57 UTC by Tomas Hoger
Modified: 2019-09-29 13:17 UTC (History)
8 users (show)

Fixed In Version: libtasn1 3.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 12:45:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0594 normal SHIPPED_LIVE Important: gnutls security update 2014-06-03 20:06:30 UTC
Red Hat Product Errata RHSA-2014:0596 normal SHIPPED_LIVE Moderate: libtasn1 security update 2014-06-03 20:06:08 UTC
Red Hat Product Errata RHSA-2014:0687 normal SHIPPED_LIVE Moderate: libtasn1 security update 2014-06-10 16:34:16 UTC
Red Hat Product Errata RHSA-2014:0815 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-06-30 21:28:41 UTC

Description Tomas Hoger 2014-05-28 18:57:56 UTC
A NULL pointer dereference flaw was found in libtasn1's asn1_read_value_type() / asn1_read_value() function. If an application called the function with a NULL value for an ivalue argument to determine the amount of memory needed to store data to be read from the ASN.1 input, libtasn1 could incorrectly attempt to dereference the NULL pointer, causing an application using the library to crash.

The libtasn1 library is used by the GnuTLS library to parse X.509 certificates.  The gnutls packages in Red Hat Enterprise Linux 5 and earlier use bundled libtasn1, packages in Red Hat Enterprise Linux 6 and later depend on the library provided by a separate libtasn1 package.

Upstream commits:
http://git.savannah.gnu.org/cgit/libtasn1.git/commit/lib/element.c?id=a8b3e14f84174e01755bfd1be5448fffce7c9ffa
http://git.savannah.gnu.org/cgit/libtasn1.git/commit/lib/element.c?id=3d6a02f19ff15a38dae9686033e37499b3968256
http://git.savannah.gnu.org/cgit/libtasn1.git/commit/lib/element.c?id=53958290ab731c8486531a3bdef54a933533579d

Comment 3 Tomas Hoger 2014-05-29 11:41:41 UTC
Acknowledgment:

Red Hat would like to thank GnuTLS upstream for reporting this issue.

Comment 4 Tomas Hoger 2014-05-30 08:18:06 UTC
Fixed upstream in libtasn1 3.6:
http://lists.gnu.org/archive/html/help-libtasn1/2014-05/msg00006.html

Comment 5 Tomas Hoger 2014-05-30 08:27:42 UTC
Created libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1103087]

Comment 6 Tomas Hoger 2014-05-30 08:27:44 UTC
Created mingw-libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1103088]

Comment 7 Tomas Hoger 2014-05-30 08:27:47 UTC
Created mingw32-gnutls tracking bugs for this issue:

Affects: epel-5 [bug 1103089]

Comment 8 errata-xmlrpc 2014-06-03 16:09:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0596 https://rhn.redhat.com/errata/RHSA-2014-0596.html

Comment 9 errata-xmlrpc 2014-06-03 16:10:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0594 https://rhn.redhat.com/errata/RHSA-2014-0594.html

Comment 10 Fedora Update System 2014-06-04 07:52:10 UTC
libtasn1-3.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-06-10 03:06:16 UTC
libtasn1-3.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2014-06-10 12:35:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0687 https://rhn.redhat.com/errata/RHSA-2014-0687.html

Comment 13 errata-xmlrpc 2014-06-30 17:29:00 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0815 https://rhn.redhat.com/errata/RHSA-2014-0815.html


Note You need to log in before you can comment on or make changes to this bug.